/*******************************************************************************/
/* $Header: Big:Programming/C/Intoids/Library/RCS/Intoids.fd,v 1.13 1997/02/12 16:48:01 AGMS Exp $*/
/**/
/* The function definition file (FD) for intoids.library.  It specifies*/
/* which registers are used for which arguments and the library vector*/
/* jump offset for each function.*/
/**/
/* Look in Intoids.c for documentation (autodocs generated from there), e-mail*/
/* addresses and credits.  See Libraries/Intoids.h for datatypes.*/
/**/
/* Intoids.library - An Amiga runtime shared code library for efficiently*/
/* handling large and small integer values using pointer sized data fields.*/
/**/
/* Modifications for storing smaller integers in 32 bit values and conversion*/
/* to an Amiga library copyright  1996 by Alexander G. M. Smith.*/
/* Original long integer code copyright  1988 Free Software Foundation.*/
/**/
/* This library is free software; you can redistribute it and/or*/
/* modify it under the terms of the GNU Library General Public*/
/* License as published by the Free Software Foundation; either*/
/* version 2 of the License, or (at your option) any later version.*/
/**/
/* This library is distributed in the hope that it will be useful,*/
/* but WITHOUT ANY WARRANTY; without even the implied warranty of*/
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU*/
/* Library General Public License for more details.*/
/**/
/* You should have received a copy of the GNU Library General Public*/
/* License along with this library; if not, write to the Free*/
/* Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.*/
/**/
#pragma libcall IntoidsBase FreeIntoid 1e 801
#pragma libcall IntoidsBase GetLastIntoidErrorMessage 24 0
#pragma libcall IntoidsBase GetIntoidsMessage 2a 001
#pragma libcall IntoidsBase SignOfIntoid 30 001
#pragma libcall IntoidsBase IntoidFitsInLong 36 001
#pragma libcall IntoidsBase IntoidToLong 3c 001
#pragma libcall IntoidsBase LongToIntoid 42 8002
#pragma libcall IntoidsBase IntoidToAscii 48 109804
#pragma libcall IntoidsBase AsciiToIntoid 4e 109804
#pragma libcall IntoidsBase CopyIntoid 54 1002
#pragma libcall IntoidsBase NegateIntoid 5a 1002
#pragma libcall IntoidsBase AbsoluteIntoid 60 1002
#pragma libcall IntoidsBase AddIntoids 66 81003
#pragma libcall IntoidsBase SubtractIntoids 6c 81003
#pragma libcall IntoidsBase CompareIntoids 72 1002
#pragma libcall IntoidsBase CompareIntoidMagnitudes 78 1002
#pragma libcall IntoidsBase MultiplyIntoids 7e 81003
#pragma libcall IntoidsBase DivideIntoids 84 81003
#pragma libcall IntoidsBase PortableIntLengthViaCallBack 8a 1002
#pragma libcall IntoidsBase PortableIntLengthViaBuffer 90 1802
#pragma libcall IntoidsBase PortableIntToIntoidViaCallBack 96 190804
#pragma libcall IntoidsBase PortableIntToIntoidViaBuffer 9c 190804
#pragma libcall IntoidsBase IntoidToPortableIntViaCallBack a2 918004
#pragma libcall IntoidsBase IntoidToPortableIntViaBuffer a8 198004
#pragma libcall IntoidsBase PortableIntSizeOfIntoid ae 801
